<template>
  <!-- 主体部分 -->
  <div class="xl:w-screen-xl m-auto py-4 mt-20">
    <el-page-header :icon="ArrowLeft" @back="goBack">
      <template #content>
        <span class="text-large font-600"> 注册 </span>
      </template>
    </el-page-header>
    <el-card shadow="hover" class=" my-5 px-2">
      <Auth @done="reload"/>
    </el-card>
  </div>
</template>
<script setup lang="ts">
import {ArrowLeft, View, Search} from '@element-plus/icons-vue'
import {useConfigInfo, useWebsite} from "~/composables/configState";
import { ref } from 'vue'
import {useServerRequest} from "~/composables/useServerRequest";
import type {ApiResult} from "~/api";
import Auth from './components/Auth.vue';

// 配置信息
const runtimeConfig = useRuntimeConfig();
const route = useRoute();
const router = useRouter();
const activeIndex = ref('');
const website = useWebsite()
const config = useConfigInfo();
const merchantApply = ref<any>();

const reload = async () => {
  const {data: response} = await useServerRequest<ApiResult<any>>('/shop/shop-merchant-apply/getByUserId', {baseURL: runtimeConfig.public.apiServer})
  if (response.value?.data) {
    merchantApply.value = response.value.data;
  }
  if (config.value) {
    useHead({
      title: `实名认证 - ${config.value?.siteName}`,
      meta: [{name: website.value.keywords, content: website.value.comments}]
    });
  }
}

const goBack = () => {
  router.back(); // 返回上一页
}

watch(
    () => route.path,
    (path) => {
      activeIndex.value = path;
      // reload();
    },
    {immediate: true}
);
</script>
